Disable allow multiple for given connector version.
Restricts the channel to a single instance of each destination.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidconnectorVersion*string
Major version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
Match
^main|latest|\d+$Response Body
application/json
application/json
application/json
curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/export-configs/allow-multiple/disable"{
"message": "Allow multiple disabled.",
"resource": "connector-version",
"data": {
"name": "ernser.com",
"description": null,
"readme": null,
"version": "1.0.1",
"logo": null,
"created-at": "2026-10-06T07:55:30+02:00",
"updated-at": "2026-10-06T07:55:30+02:00",
"deleted-at": null,
"state": "updated",
"config": {
"update-progress": [
"application-config",
"vcs-config"
],
"secret-registrations": [],
"authentication-registrations": [],
"authentication-registrations-additional-fields": [],
"application": null,
"vcs": null,
"docker": {
"image-name": null,
"image-tag": null,
"registry-url": null
},
"individuals": [],
"migration": null,
"execution": {
"execution-mode": "as-env-variables",
"run-timeout-tier": "standard",
"container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
"docker-host": null,
"container-api": {
"image": null,
"version-constraint": "^9.9.9"
}
},
"export": {
"channels": [],
"channel-config": [],
"feedback-file-enabled": false,
"feedback-file-source-connection-column": null,
"feedback-file-target-connection-column": null,
"category-specific-attributes-enabled": false,
"allow-multiple": false,
"feedback-application-config": null
},
"data-service": null,
"datasource": null,
"buckets": [],
"feature-flags": [],
"container-api-config": null
},
"platform_dev_reference": {
"account": null,
"project": null,
"executable": null,
"platform-connector": null,
"site": null,
"site-processing-cluster": null,
"assigned-to-site": null,
"assigned-to-channel": null,
"assigned-to-channel-site": null,
"assigned-to-channel-site-destination": null,
"runtime": {
"environment": "bin-docker-wrapper",
"version": "19.7.70"
}
},
"platform_prod_reference": {
"executable": null,
"platform-connector": null,
"target-accounts": [],
"target-projects": [],
"target-sites": [],
"enabled-for-accounts": [],
"enabled-for-projects": [],
"enabled-for-sites": [],
"assigned-to-sites": [],
"released": false,
"version": null,
"runtime": {
"environment": "bin-docker-wrapper",
"version": "19.7.70"
}
},
"prod_config": null,
"dev_config": null
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Connector not found."
}How is this guide?